# Oefentoets: Introductie programmeren - pricewatch

## Een aantal tips om te beginnen
-	Het belangrijkste: Lees de opdracht goed!
-	Begin met het structureren van je programma. Bijvoorbeeld door code commentaar te typen.
-	Begin klein, met een klein probleem dat je kunt oplossen.
-	Gebruik methodes waar dat handig lijkt. Zeker als je stukken code wilt hergebruiken.
-	Start je programma vaak om te kijken of het werkt! Niet alleen aan het einde.
-	Pas alles toe wat je hebt geleerd over 'goede' code. Denk bijvoorbeeld aan goede variabelen namen en gebruik methodes op plekken waar je denkt dat ze nodig zijn.
-	De csv file kan worden geopend met new CsvReader(“pricewatch.csv”);. Er is geen additioneel pad of verwijzing naar een map o.i.d. nodig.
-	Mocht je vastzitten: Probeer een workaround te bedenken. Bijvoorbeeld: Als je niet weet hoe je het csv bestand moeten inlezen maak dan handmatig wat pricewatch objecten aan.

## Pricewatch
De firma SmartWorld maakt mobiele telefoons en houdt een pricewatch bij. In dit geval gaat het om één telefoon. Per dag houden ze voor de telefoon bij wat de prijs is en de populariteit op dat moment. De dag is een volgnummer (te beginnen bij 1) en iedere keer als er een dag toegevoegd wordt wordt dat nummer verhoogd.

De data staat in het csv bestand pricewatch.csv. Dit bestand bevat de data voor 1 type telefoon over een tweetal maanden (58 dagen). Het dagnummer is het regelnummer.

We beschrijven het te realiseren programma aan de hand van elke menu optie. Jouw programma zou qua output op de screenshots moeten lijken.

![screen 1](resources/price_screen1.png)

**Let op**: Er zijn aan het begin al 58 dagen ingevoerd. Deze worden ingelezen uit het bestand pricewatch.csv bij het starten. Let erop dat je de eerste regel overslaat.

Als de gebruiker de applicatie opstart dan wordt een menu getoond. Dit menu geeft de volgende opties en functionaliteit:

### Optie 1: Show list of prices (Toon een lijst met prijzen)
Toon een overzicht van alle prijzen. Hieronder een voorbeeldoverzicht van de laatste prijzen.

![screen 2](resources/price_screen2.png)

### Optie 2: Input new price for date (voeg prijs voor een nieuwe datum toe)
Voeg een nieuw item toe. Er wordt gevraagd om de prijs (price) en populariteit. De prijs is een double en de populariteit is een int tussen de 1 en 5. Controleer of de gebruiker een prijs hoger dan 0 invoert en een geldige waarde voor popularity. Zo niet, toon dan een melding en vraag opnieuw net zolang het goed is.

![screen 3](resources/price_screen3.png)

### Optie 3: Current price (huidige prijs)
Deze menuoptie laat de laatst bekende prijs zien (de laatste die ingevoerd is).

![screen 4](resources/price_screen4.png)

### Optie 4: Average price (gemiddelde prijs)
Deze menuoptie laat de gemiddelde prijs zien.

![screen 5](resources/price_screen5.png)

### Optie 5: Show prices for popularity (laat prijzen per populariteit zien)
Deze menuoptie laat alle prijzen zien voor een bepaalde populariteit. Vraag de gebruiker om een populariteit in te vullen en toon alle prijzen die die populariteit hebben

![screen 6](resources/price_screen6.png)

### Optie 6: Show trend
Deze menuoptie laat een trend grafiek zien met de volgende eigenschappen:
- Op de Y-as staan de prijzen. De Y-as heeft een vaste hoogte van 500 pixels. De labels staan er bij iedere 100 pixels.
- Op de X-as staan de dagen. Voor elke dag staat er een verticaal streepje (dat hangt dus af van het aantal items). Om de 5 streepjes staat het dagnummer erbij.
- De vierkantjes worden op de juiste plek getoond. De kleur van de vierkantjes is als volgt:
  - Groen: Populariteit van 4
  - Geel: Populariteit van 3
  - Oranje: Populariteit van 2
  - Rood: Populariteit van 1
- De vierkantjes hebben een grootte van 10x10 pixels.

![screen 7](resources/price_screen7.png)
